%global npm_name fast-deep-equal
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 3
Summary: Fast deep equal
License: MIT
Group: Development/Other
URL: https://github.com/epoberezkin/fast-deep-equal#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1502694
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1280476
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.0.1-1.mga7
+ Revision: 1227227
- imported package nodejs-fast-deep-equal

